This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507377 - Review Request: jana - An interface library for time-related PIM
Review Request: jana - An interface library for time-related PIM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin20 513452
  Show dependency treegraph
 
Reported: 2009-06-22 10:56 EDT by Peter Robinson
Modified: 2009-08-04 07:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 07:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-22 10:56:29 EDT
SPEC: http://pbrobinson.fedorapeople.org/jana.spec
SRPM: http://pbrobinson.fedorapeople.org/jana-0.4.5-0.1.20090622gitb416a41.fc11.src.rpm

An interface library for time-related personal information management related
data.
Comment 1 Parag AN(पराग) 2009-07-03 05:29:21 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1452145
- rpmlint is NOT silent for RPM.
jana.i586: W: incoherent-version-in-changelog 0.4.5-0.1 ['0.4.5-0.1.20090622gitb416a41.fc12', '0.4.5-0.1.20090622gitb416a41']
==> Fix this
+ source files match upstream url
98d622dc60b9fdcd442294311dac8a8cfd9f2242 jana-0.4.5-20090622.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ libjana-ecal.pc,libjana-gtk.pc,libjana.pc files present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package jana-0.4.5-0.1.20090622gitb416a41.fc12.i586 =>
Provides: libjana-ecal.so.0 libjana-gtk.so.0 libjana.so.0
Requires: libORBit-2.so.0 libatk-1.0.so.0 libbonobo-2.so.0 libbonobo-activation.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libc.so.6(GLIBC_2.7) libcairo.so.2 libecal-1.2.so.7 libedataserver-1.2.so.11 libfontconfig.so.1 libfreetype.so.6 libgconf-2.so.4 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0 libgtk-x11-2.0.so.0 libical.so.0 libicalss.so.0 libicalvcal.so.0 libjana-ecal.so.0 libjana-gtk.so.0 libjana.so.0 libm.so.6 libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 libpthread.so.0 librt.so.1 libsoup-2.4.so.1 libxml2.so.2 rtld(GNU_HASH)
+ Package jana-devel-0.4.5-0.1.20090622gitb416a41.fc12.i586 =>
Provides: pkgconfig(libjana) = 0.0 pkgconfig(libjana-ecal) = 0.0 pkgconfig(libjana-gtk) = 0.0
Requires: /usr/bin/pkg-config libjana-ecal.so.0 libjana-gtk.so.0 libjana.so.0 pkgconfig(gobject-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0) pkgconfig(libecal-1.2) pkgconfig(libjana)
+ Not a GUI application

Suggestions:
1) you don't need 
BuildRequires: glib2-devel as it will be pulled by gtk2-devel

2) It will be always good to use make install as
make install DESTDIR=%{buildroot} INSTALL="install -p"
this will make sure you will keep timestamps of upstream files that are copied as it is.

3) Add documentation like you added for mojito

4) I am not sure whether we can have some more additional subpackages like libjana-gtk and libjana-ecal
Do you think we can have them separate?


Submit new SRPM with above fixes
Comment 2 Peter Robinson 2009-07-03 07:17:52 EDT
> jana.i586: W: incoherent-version-in-changelog 0.4.5-0.1
> ['0.4.5-0.1.20090622gitb416a41.fc12', '0.4.5-0.1.20090622gitb416a41']
> ==> Fix this

Fixed. My understanding was that it was fine to shorten those versions to just the build number

> Suggestions:
> 1) you don't need 
> BuildRequires: glib2-devel as it will be pulled by gtk2-devel

Fixed

> 2) It will be always good to use make install as
> make install DESTDIR=%{buildroot} INSTALL="install -p"
> this will make sure you will keep timestamps of upstream files that are copied
> as it is.

Not seen that in the package guidelines. 

> 3) Add documentation like you added for mojito

Done

> 4) I am not sure whether we can have some more additional subpackages like
> libjana-gtk and libjana-ecal
> Do you think we can have them separate?

We can if there's a demand. I'm not sure what the advantage is as its a small set of libraries. It can easily be split out later if there's a demand.

SRPM: http://pbrobinson.fedorapeople.org/jana-0.4.5-0.2.20090622gitb416a41.fc11.src.rpm
SPECS: same as before.
Comment 3 Peter Robinson 2009-07-14 13:01:38 EDT
Any update?
Comment 4 Parag AN(पराग) 2009-07-21 02:13:37 EDT
will check this package this week
Comment 5 Peter Robinson 2009-08-02 02:48:40 EDT
(In reply to comment #4)
> will check this package this week  

Hi Parag, have you had a chance to check this further?
Comment 6 Parag AN(पराग) 2009-08-03 06:52:56 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1575074
APPROVED.
Comment 7 Peter Robinson 2009-08-03 06:57:20 EDT
Thanks :-)

New Package CVS Request
=======================
Package Name: jana
Short Description: An interface library for time-related PIM
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 8 Jason Tibbitts 2009-08-03 17:26:34 EDT
CVS done.
Comment 9 Peter Robinson 2009-08-03 18:31:28 EDT
Built and on its way to rawhide.
Comment 10 Peter Robinson 2009-08-04 07:33:12 EDT
Built and now in rawhide

Note You need to log in before you can comment on or make changes to this bug.